*{
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    overflow-x: hidden;
}
body{
    background: linear-gradient(#07111f,#0b1220);
    color:white;
    display:flex;
    gap:30px;
    font-family:(Poppins)sans-serif;
    overflow-x: hidden;
}
/*sidebar-section*/
#sidebar{
    background: rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border-right: 1px solid rgba(255,255,255,0.05);
    background-color: #111827;
    padding:10px 20px;
    width:18%;
    top:0;
    left:0;
    overflow-y: auto;
}
#sidebar-heading{
    display:flex;
    gap:10px;
}
#sidebar-heading h2{
    color:royalblue;
    font-weight:bolder;
    font-size: 35px;
}
.sidebar-items{
    display:grid;
    gap:10px;
}
.sidebar-items a{
    color:#94a3b8;
    border-radius:15px;
    border:none;
    padding:20px;
    text-decoration:none; 
    background:#1e293b;
    padding:20px;
    border-radius:15px;
    border:none;
}
.sidebar-items a:hover{
    background: #2563eb;
}
.upgradetopro{
    background: #1e293b;
    backdrop-filter: brul(10px);
    border-radius:15px;
    padding:5px 10px;
    border:1px solid rgba(255,255,255,0.05);
    align-items: center;
    position:relative;
    top:20px;
}
.upgradetopro p{
    position:relative;
    bottom:10px;
    color:#94a3b8;
}
.upgradetopro a{
    background:#2563eb;
    color:white;
    padding:5px 20px;
    text-decoration: none;
    border-radius:10px;
    position:relative;
    bottom:10px;
    left:5px;
}
.upgradetopro i{
    color:#2563eb;
}
.user-profile{
    display:flex;
    gap:5px;
    position:relative;
    top:50px;
}
.userprofile-info{
    line-height:0px;
}
.user-profile span{
    background: #2563eb;
    border-radius: 5px;
    padding:2px 2px;

}
.user-profile i{
    color: white;
    background:orangered;
    border:1px solid orangered;
    border-radius:50%;
    padding:10px;
}
.sidebar-downicons{
    display:flex;
    gap:50px;
    position:relative;
    top:80px;
    left:10px;
}
/*dashboard-section*/
#dashboard-section{
    display:grid;
    gap:20px;
}
.dashboard-navbar{
    display:flex;
    justify-content: space-between;
    position:static;
    gap:200px;
    padding:5px 10px;
}
#welcome{
    position:relative;
    display:grid;
    line-height: 0px;
}
#welcome p{
    color:#94a3b8;
}
#input-search input{
    position:relative;
    right:90px;
    justify-content: center;
    width:100%;
    padding:10px 20px;
    border-radius:15px;
    background: rgba(255,255,255,0.05);
    color:white;
    border:solid 1px rgba(255,255,255,0.05);
}
#dashboard-navbaricons{
    display: flex;
    gap:10px;
}
#mode{
    border:1px solid rgba(255,255,255,0.05);
    border-radius: 50%;
    height:20px;
    width:20px;
    background: rgba(255,255,255,0.05);
}
/*dashboard-data*/
.data{
    background: rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border-radius:15px;
    border:1px solid rgba(255,255,255,0.05);
    padding:10px 20px;
    display:flex;
    height:150px;
}
.dashboard-data{
    display:grid;
    grid-template-columns: repeat(4,1fr);
    gap:5px;
}
.data i{
    padding:20px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
}
.wallet i{
    color:#7c5cff;
    background: linear-gradient(135deg,rgba(255,255,255,0.05),#7c5cff);
}
.shield i{
    color:#22c55e;
    background:linear-gradient(135deg,rgba(255,255,255,0.05),#22c55e);
}
.arrow i{
    color:#f59e0b;
    background:linear-gradient(135deg,rgba(255,255,255,0.05),#f59e0b);
}
.pie i{
    color:#a855f7;
    background:linear-gradient(135deg,rgba(255,255,255,0.05),#a855f7);
}
/*inner-dashboard*/
.inner-dashboard{
    display:flex;
    gap:10px;
}
.calculator{
    background:#111827;
    padding:10px 20px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    display:grid;
}
.balance,.risk{
    display:flex;
    justify-content: space-between;
    gap:10px;
}
.percentage{
    display:flex;
    justify-content: space-between;
    gap:10px;
}
.percentage a{
    text-decoration: none;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:10px;
    padding:20px;
}
.pair,.entry-price,.stop-loss,.take-profit,.stoploss-pips,.takeprofit-pips,.reward{
    display:flex;
    justify-content: space-between;
}
/*calculation result*/
.calculation{
    background:#111827;
    padding:10px 20px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    width:100%;
    display:grid;
    gap:10px;
}
.calculation-nav{
    display:flex;
    justify-content: space-between;
}
.calculation-nav a{
    text-decoration:none;
    color:green;
    padding:5px;
    border-radius:20px;
    background:#22c55e;
}
.recommended{
    background: linear-gradient(#07111f,#0b1220);
    padding:10px 20px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    text-align: center;
}
.riskandpip{
    display:flex;
    justify-content: space-between;
}
.risk-amount{
    background: linear-gradient(#07111f,#0b1220);
    padding:5px 10px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    display:flex;
    justify-content: space-between;
    width:100%;
}
.stoploss-pip{
    background: linear-gradient(#07111f,#0b1220);
    padding:5px 10px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    display:flex;
    justify-content: space-between;
    width:100%;
}
.profitandriskreward{
    display:flex;
    justify-content: space-between;
}
.take-profit{
    background:linear-gradient(#07111f,#0b1220);
    padding:10px 20px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    display:flex;
    justify-content: space-between;
    width:100%;
}
.reward{
    background:linear-gradient(#07111f,#0b1220);
    padding:10px 20px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    display:flex;
    justify-content:space-between;
    width:100%;
}
.calculation-footer{
    display:flex;
    justify-content: space-between;
    background: linear-gradient(#07111f,#0b1220);
    width:100%;
    border:1px solid rgba(255,255,255,0.05);
    border-radius: 15px;
    padding:10px 20px;
}
.margin{
    width:50%
}
.value{
    width:50%;
}
/*bottom dashboard*/
.bottom-dashboard{
    display:flex;
    gap:10px;
}
.risk-visualization{
    background:#111827;
    padding:10px 20px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    width:50%;
}
.risk-Amount{
    display:flex;
    justify-content: space-between;
}
.remaining-balance{
    display:flex;
    justify-content:space-between;
}
.risk-management{
    background:#111827;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    padding:10px 20px;
    width:50%;
}